apiVersion: snapshot.kubevirt.io/v1beta1
kind: VirtualMachineSnapshot
metadata:
  creationTimestamp: "2025-10-29T12:47:16Z"
  finalizers:
  - snapshot.kubevirt.io/vmsnapshot-protection
  generation: 1
  name: snapshot-vm-snapshot-upgrade-a-1761741897-5416875
  namespace: test-upgrade-namespace
  resourceVersion: "2195703"
  uid: 82839d1a-46b4-4d63-a934-8b8d587edd6c
spec:
  source:
    apiGroup: kubevirt.io
    kind: VirtualMachine
    name: vm-snapshot-upgrade-a-1761741897-5416875
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T12:47:18Z"
    reason: Operation complete
    status: "False"
    type: Progressing
  - lastProbeTime: null
    lastTransitionTime: "2025-10-29T12:47:18Z"
    reason: Ready
    status: "True"
    type: Ready
  creationTime: "2025-10-29T12:47:18Z"
  phase: Succeeded
  readyToUse: true
  snapshotVolumes:
    includedVolumes:
    - dv-disk
  sourceUID: bd518a58-34f3-4128-84ed-f207d84a6eb9
  virtualMachineSnapshotContentName: vmsnapshot-content-82839d1a-46b4-4d63-a934-8b8d587edd6c
